<?php
// register sidebars
require( get_template_directory() . '/inc/register-sidebars.php' );

// widget
require( get_template_directory() . '/inc/widget-ad125.php' );
require( get_template_directory() . '/inc/widget-facebook.php' );
require( get_template_directory() . '/inc/widget-twitter.php' );
require( get_template_directory() . '/inc/widget-social.php' );
require( get_template_directory() . '/inc/widget-recent-posts.php' );

// Basic theme setup.
function retro_theme_setup() {
	global $content_width;
	if ( ! isset( $content_width ) ) $content_width = 630; //Set content width
	// add_theme_support('post-formats',array('aside', 'gallery', 'link', 'image', 'quote', 'status', 'video', 'audio', 'chat'));
	add_editor_style();
	add_theme_support('automatic-feed-links');
	add_theme_support('post-thumbnails');
	add_theme_support( 'custom-background' );
	set_post_thumbnail_size( 160, 120, true ); // 4:3 Default size
	// This theme uses wp_nav_menu() in one location.
	register_nav_menu( 'menu', 'Header Navigation Menu' );
	// Load  Optios Framework Page
	if ( !function_exists( 'optionsframework_init' ) ) {
		define( 'OPTIONS_FRAMEWORK_DIRECTORY', get_template_directory_uri() . '/inc/admin/' );
		require_once dirname( __FILE__ ) . '/inc/admin/options-framework.php';
	}
}
add_action( 'after_setup_theme', 'retro_theme_setup' );

//
function retro_print_styles() {
	if ( ! is_admin() ) {
		// slider
		wp_register_script('bjqs-min',
			   get_template_directory_uri() . '/inc/slider/bjqs-min.js',
			   array('jquery'),
			   '1.3', false );
		wp_enqueue_script('bjqs-min');
		
		wp_register_script('jquery-secret-source',
			   get_template_directory_uri() . '/inc/slider/jquery.secret-source.min.js',
			   array('jquery'),
			   '1.0', false );
		wp_enqueue_script('jquery-secret-source');
		
		wp_register_style('bjqs-css', get_template_directory_uri() . '/inc/slider/bjqs.css');
		wp_enqueue_style( 'bjqs-css');
		
		// Google Fonts
		wp_register_style('googleFonts', '//fonts.googleapis.com/css?family=Open+Sans|Cutive|Oleo+Script&subset=latin,latin-ext');
		wp_enqueue_style( 'googleFonts');
		// Theme Custon JS
		wp_register_script('retroJS',
			   get_template_directory_uri() . '/inc/retro.js',
			   array('jquery'),
			   '1.1', false );
		wp_enqueue_script('retroJS');
		// tipsy tooltips
		wp_register_script('tipsy',
			   get_template_directory_uri() . '/inc/tipsy.js',
			   array('jquery'),
			   '1.0', false );
		wp_enqueue_script('tipsy');
		// comment-reply
		if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'retro_print_styles' );


function retro_wp() {
	?><div class="colophon">
    Theme by <a href="http://www.alvele.com/">Selim Alvele</a> | 
	Copyright <?php echo date('Y'); ?> <?php bloginfo('name'); ?> | 
	Powered by WordPress |
	<?php echo get_num_queries(); ?> queries in <?php timer_stop(1); ?>  seconds.
    </div> <!-- end div.colophon --><?php
}
function retro_postdate() {
	?>
    <div class="postdate">
	<a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>">
		<span class="post-day"><?php the_time('j'); ?></span>
    	<span class="post-month"><?php the_time('M'); ?></span>
		<span class="post-year"><?php the_time('Y'); ?></span>
    </a>
    </div>
	<?php
}

function retro_head_css () {
?>
<style type="text/css">
.bjqs-controls li a,
.bjqs-markers li a {
	background-color: <?php echo of_get_option('slider-color'," "); ?> !important;
	}
</style>
<?php
}
add_action('wp_head', 'retro_head_css');

function retro_wp_title ( $title ) {
    // Get the Site Name
    $site_name = get_bloginfo( 'name' );
    // Prepend name
    $filtered_title = $title.' - '.$site_name;
	// Get the Site Description
 	$site_description = get_bloginfo( 'description' );
    // If site front page, append description
    if ( (is_home() || is_front_page()) && $site_description ) {       
        // Append Site Description to title
        $filtered_title =$site_name. " | ".$site_description;
    }
	// Add pagination if that's the case
	global $page, $paged;
	if ( $paged >= 2 || $page >= 2 )
	$filtered_title .=	 ' | ' . sprintf( 'Page %s', max( $paged, $page ) );

    // Return the modified title
    return $filtered_title;
}
add_filter( 'wp_title', 'retro_wp_title', 100 );
?>