<?php
/*
Plugin Name: Retro Recent Posts
*/

//add function to widget_init to load
add_action( 'widgets_init', 'retro_recent' );

//register widget
function retro_recent() {
	register_widget( 'retro_recent' );
}

//widget class
class retro_recent extends WP_Widget {

	function retro_recent() {
	
		$widget_ops = array( 'classname' => 'retro_recent', 'description' => 'This widget allows to listing posts with thumbs in sidebar.' );
		$this->WP_Widget( 'retro_recent','Retro Recent Posts', $widget_ops );
	}

	function widget( $args, $instance ) {
		extract( $args );

		//get values from widget.
		//$title = apply_filters('widget_title', $instance['title'] );

		$args = array(
		'posts_per_page'  => $instance['count'],
		//'offset'          => 0,
		//'category'        => ,
		//'orderby'         => 'post_date',
		//'order'           => 'DESC',
		//'include'         => ,
		//'exclude'         => ,
		//'meta_key'        => ,
		//'meta_value'      => ,
		//'post_type'       => 'post',
		//'post_mime_type'  => ,
		//'post_parent'     => ,
		//'post_status'     => 'publish',
		//'suppress_filters' => true
		);
		wp_reset_query();
		wp_reset_postdata();
		$posts_arr = get_posts( $args );
/*		$instance['thumb'] = $new_instance['thumb'];
		$instance['avatar'] = $new_instance['avatar'];
		$instance['title'] = $new_instance['title'];
		$instance['date'] = $new_instance['date'];
		$instance['comments'] = $new_instance['comments'];
		$instance['excerpt'] = $new_instance['excerpt'];
		$instance['excerpt_len'] = $new_instance['excerpt_len'];
		$instance['more'] = $new_instance['more'];
*/		
		echo $before_widget;
		//if ( $title )
			//echo $before_title . $title . $after_title;
		echo '<ul class="retro-recent">';
		
		foreach ($posts_arr as $p) :
			$id = $p->ID;
			//$date = get_the_date( get_option('date_format') ,$id);
			$date = date(get_option('date_format'), strtotime($p->post_date)); // sucks
			$title = $p->post_title;
			$link = get_permalink($id);
			$excerpt = get_excerpt_by_id($id);
			$avatar = get_avatar( $p->post_author, 100, "", $title );
			$commentscount = get_comments_number($id);
			echo '<li class="item">';
			$img = "";
			if ( has_post_thumbnail($id) ) { 
                            $img .= "<a href=\"$link\">";
                            $img .= get_the_post_thumbnail($id,array(100,100));//thumbnail
                            $img .= "</a>";
			} else {
				//
				if ($instance['avatar']!=1) $img .= $avatar;
			}
			if ($instance['thumb']!=1) echo "<div class='thumb'>$img</div>";
			
		
			if ($instance['title']!=1) echo "<div class='post-title'><a href=\"$link\"><b>".$title."</b></a></div>";
			
			if ($instance['date']!=1) echo "<div class='date'>$date</div>";
			
			if ($instance['comments']!=1 and comments_open( $id )) echo "<div class='comment-count'>$commentscount</div>";
			
			if ($instance['excerpt']!=1 and $excerpt) {
				if ($instance['excerpt_len'] and is_numeric($instance['excerpt_len']) ) {
					$arr = explode(" ",trim($excerpt));
					echo "<div class='excerpt'>".implode(" ", array_slice($arr,0,$instance['excerpt_len']))."&hellip;</div>";
				} else {
					echo "<div class='excerpt'>$excerpt</div>";
				}
			}
			
			
			
			echo '<div class="more"><a href="'.$link.'">'.$instance['more'].'</a></div>';
			echo '<div class="clear"></div></li>';
		endforeach;
			
		echo '</ul><div class="clear"></div>';
		
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['thumb'] = $new_instance['thumb'];
		$instance['avatar'] = $new_instance['avatar'];
		$instance['title'] = $new_instance['title'];
		$instance['date'] = $new_instance['date'];
		$instance['comments'] = $new_instance['comments'];
		$instance['excerpt'] = $new_instance['excerpt'];
		$instance['excerpt_len'] = $new_instance['excerpt_len'];
		$instance['count'] = $new_instance['count'];
		$instance['more'] = $new_instance['more'];
		return $instance;
	}
	
	function form( $instance ) {
	
		$defaults = array(
		'excerpt_len' => 50,
		'more' => 'read more',
		'count' => 10,
		);

		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<!-- FORM -->
        <p>
        <label>Hide post thumbnails
        <input name="<?php echo $this->get_field_name( 'thumb' ); ?>" type="checkbox" value="1" <?php checked( '1', $instance['thumb'] ); ?>>
        </label>
        </p>
        
        <p>
        <label>Hide avatar
        <input name="<?php echo $this->get_field_name( 'avatar' ); ?>" type="checkbox" value="1" <?php checked( '1', $instance['avatar'] ); ?>>
        </label>
        </p>
        
        <p>
        <label>Hide post title
        <input name="<?php echo $this->get_field_name( 'title' ); ?>" type="checkbox" value="1" <?php checked( '1', $instance['title'] ); ?>>
        </label>
        </p>
        
        <p>
        <label>Hide post date
        <input name="<?php echo $this->get_field_name( 'date' ); ?>" type="checkbox" value="1" <?php checked( '1', $instance['date'] ); ?>>
        </label>
        </p>
        
        <p>
        <label>Hide comments count
        <input name="<?php echo $this->get_field_name( 'comments' ); ?>" type="checkbox" value="1" <?php checked( '1', $instance['comments'] ); ?>>
        </label>
        </p>
        
        <p>
        <label>Hide excerpt (post summary)
        <input name="<?php echo $this->get_field_name( 'excerpt' ); ?>" type="checkbox" value="1" <?php checked( '1', $instance['excerpt'] ); ?>>
        </label>
        </p>
        
        <p>
        <label>Excerpt <b>max</b> words
        <input name="<?php echo $this->get_field_name( 'excerpt_len' ); ?>" value="<?php echo $instance['excerpt_len']; ?>" />
        </label>
        </p>        
                               
        <p>    
        <label>Number of posts to show
        <input name="<?php echo $this->get_field_name( 'count' ); ?>" value="<?php echo $instance['count']; ?>" />
        </label>
        </p>
        
        <p>    
        <label>More link text
        <input class="widefat" name="<?php echo $this->get_field_name( 'more' ); ?>" value="<?php echo $instance['more']; ?>" />
        </label>
        </p>
	<?php
	}
}
function get_excerpt_by_id($post_id){
    $the_post = get_post($post_id); //Gets post ID
	$excerpt = $the_post->post_excerpt;
    $content = $the_post->post_content;
	if ($excerpt) {
		$the_excerpt = strip_tags(strip_shortcodes($excerpt)); //Strips tags and images
	} else {
		$the_excerpt = strip_tags(strip_shortcodes($content)); //Strips tags and images
	}
    return $the_excerpt;
}
?>