<?php
/*
 * Plugin Name: Retro Theme Social Links widget
*/

//add function to widget_init to load
add_action( 'widgets_init', 'retro_social_widgets' );

//register widget
function retro_social_widgets() {
	register_widget( 'retro_social_widget' );
}

//widget class
class retro_social_widget extends WP_Widget {

	function retro_social_widget() {
	
		$widget_ops = array( 'classname' => 'widget_social', 'description' => 'This widget allows to share your social links.' );
		$this->WP_Widget( 'retro_social_widget', 'Retro Social Links', $widget_ops );
	}

	function widget( $args, $instance ) {
		extract( $args );

		//get values from widget.
		$title = apply_filters('widget_title', $instance['title'] );
		
		$size = $instance['size'];				
		
		echo $before_widget;

		if ( $title )
			echo $before_title . $title . $after_title;
			echo '<ul class="social-widget">';

		// icons
		$list = array('aim','ask','bebo','betvibes','blinklist','blogger','buzz','delicious','deviantart','digg','diigo','everynote','facebook','flickr','friendfeed','friendster','furl','google','lastfm','linkedin','livejournal','mixx','myspace','newsvine','orkut','plaxo','plurk','posterous','reddit','rss','shoutwire','spurl','squidoo','stumbleupon','technorati','tumblr','twitter','vimeo','wordpress','xanga','yahoo','youtube');
		$counter=0;
		foreach ($list as $i) {
			$url = of_get_option( $i, false );
			if ( !$url or trim($url) == "" ) continue;
			if (!$size) $size = 64;
			$src = get_template_directory_uri()."/images/social/$i.png";
			?>
			<a href="<?php echo $url; ?>" target="_blank">
			<img class="tip-s" title="<?php echo $i;?>" src="<?php echo $src;?>" width="<?php echo $size;?>" height="<?php echo $size;?>" />
			</a>
			<?php
			$counter++;
		}
		
		if ( $counter == 0 ) {
			
			foreach ($list as $i) {
				$src = get_template_directory_uri()."/images/social/$i.png";
				?>
				<a href="#" target="_blank">
					<img class="tip-s" title="<?php echo $i;?>" src="<?php echo $src;?>" />
				</a>
				<?php
			}
		}
			
			echo '</ul>
			<div class="clear"></div>';
		echo $after_widget;
	}

	function update( $new_instance, $old_instance ) {
		$instance = $old_instance;

		$instance['title'] = strip_tags( $new_instance['title'] );

		$instance['size'] = $new_instance['size'];
				
		return $instance;
	}
	
	function form( $instance ) {
	
		$defaults = array(
		'title' => 'Socialize',
		'size' => 64,
		);
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>

		<!-- widget title -->
		<p>
			
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
		</p>

		<!-- size image url input-->
		<p>
			<label for="<?php echo $this->get_field_id( 'size' ); ?>">Size (default:64)</label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'size' ); ?>" name="<?php echo $this->get_field_name( 'size' ); ?>" value="<?php echo $instance['size']; ?>" />
		</p>
		
	<?php
	}
}
?>