<?php
/*
 * Plugin Name: Twitter Widget
*/

add_action( 'widgets_init', 'retro_twitter_widgets' );

function retro_twitter_widgets() {
	register_widget( 'retro_twitter_widget' );
}

class retro_twitter_widget extends WP_Widget {

function retro_twitter_widget() {
	
		/* Widget settings */
		$widget_ops = array( 'classname' => 'widget_tweets', 'description' => 'A widget to display latest tweets in RETRO theme.' );

		/* Create the widget */
		$this->WP_Widget( 'retro_twitter_widget', 'Retro Twitter Widget', $widget_ops );
	}
	
function widget( $args, $instance ) {
		extract( $args );
		/* Our variables from the widget settings. */
		$title = apply_filters('widget_title', $instance['title'] );
		$username = $instance['username'];
		
		echo $before_widget;

		if ( $title ){ ?>
			<h3 class="widget-heading font-1"><?php echo $title; ?></h3>
		<?php	}	?>
		
	<script type="text/javascript" src="http://widgets.twimg.com/j/2/widget.js"></script>
<script type="text/javascript">
new TWTR.Widget({
  version: 2,
  type: 'profile',
  rpp: 10,
  interval: 6000,
  width: 'auto',
  height: 150,
  theme: {
    shell: {
      background: 'none',
      color: '#333333',
	  links: '#1F4F82'
    },
    tweets: {
      background: 'none',
      color: '#333333',
      links: '#1F4F82'
    }
  },
  features: {
    scrollbar: false,
    loop: true,
    live: true,
    hashtags: false,
    timestamp: false,
    avatars: false,
    behavior: 'default'
  }
}).render().setUser('<?php echo $instance['username']; ?>').start();
</script>            
        <?php
		echo $after_widget;
	}
	
function update( $new_instance, $old_instance ) {
		$instance = $old_instance;
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['username'] = $new_instance['username'];		
		return $instance;
	}

	function form( $instance ) {
	
		/* Set up some default widget settings. */
		$defaults = array(
		'title' => 'Latest Tweets',
		'username' => ''		
		);
		$instance = wp_parse_args( (array) $instance, $defaults ); ?>
		
		<!-- Widget Title: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
		</p>

		<!-- Ad image url: Text Input -->
		<p>
			<label for="<?php echo $this->get_field_id( 'username' ); ?>">Twitter username:</label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'username' ); ?>" name="<?php echo $this->get_field_name( 'username' ); ?>" value="<?php echo $instance['username']; ?>" />
		</p>
		
	<?php
	}
}

?>