<?php get_header(); ?>

	<div id="content" class="content">
	<?php if ( is_day() ) : ?>
		<?php printf( '<span class="archives-title">' . 'Daily Archives: %s', get_the_date() . '</span><hr class="divider"/>' ); ?>
	<?php elseif ( is_month() ) : ?>
		<?php printf( '<span class="archives-title">' . 'Monthly Archives: %s', get_the_date( 'F Y' ) . '</span><hr class="divider"/>' ); ?>
	<?php elseif ( is_year() ) : ?>
		<?php printf( '<span class="archives-title">' . 'Yearly Archives: %s', get_the_date( 'Y' ) . '</span><hr class="divider"/>' ); ?>
	<?php elseif ( is_category() ) : ?>
		<?php printf( '<span class="archives-title">' . '%s', single_cat_title( '', false ) . '</span><hr class="divider"/>' ); ?>
	<?php elseif ( is_search() ) : ?>
		<?php printf( '<span class="archives-title">' . 'You searched for %s', get_search_query() . '</span>' ); echo "<div class='alignright'>"; get_search_form(); echo '</div><hr class="divider"/>'; ?>
	<?php elseif ( is_tag() ) : ?>
		<?php printf( '<span class="archives-title">' . 'Tag Archives: %s', single_tag_title( '', false ) . '</span><hr class="divider"/>' ); ?>
	<?php endif; ?>
	<?php if (have_posts()) : ?>

		<?php while (have_posts()) : the_post(); ?>

			<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
				<?php retro_postdate()?>
				<h2 class="page_title">
					<a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a>
				</h2>
				<small>by <?php the_author() ?></small>
				<div class="entry">
					<?php if ( has_post_thumbnail() ) { 
                            echo "<a href=\"" . get_permalink() . "\">";
                            the_post_thumbnail();
                            echo "</a>";
                    } ?>
					<?php the_content( 'Read the rest of this entry' . ' &raquo;'); ?>
					<?php wp_link_pages(array('before' => '<p class="clear">Pages: ', 'after' => '</p>', 'next_or_number' => 'number')); ?>

					<p class="postmetadata clear">
						Categories: <?php the_category(', ') ?> | 
						<?php comments_popup_link( 'No Comments' . ' &#187;', '1 ' . 'Comment' . ' &#187;', '% ' . 'Comments' . ' &#187;'); ?>
                        <?php edit_post_link( 'Edit', '<div class="edit-post-link">', '</div>') ?>	
					</p>
				
				</div>
			</div>
			<hr class="divider" />
            
            		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Older Entries' ) ?></div>
			<div class="alignright"><?php previous_posts_link( 'Newer Entries &raquo;') ?></div>
		</div>

	<?php else : ?>

		<h2 class="page_title">Not Found</h2>
		<p>Sorry, no posts matched your criteria.</p>
		<?php get_search_form(); ?>

	<?php endif; ?>
	</div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>